{
    "extends": [
        "../../tsconfig.json",
        "../mobile/tsconfig.json",
        "../web/tsconfig.json",
    ],
    "compilerOptions": {
        "allowSyntheticDefaultImports": true,
        "moduleResolution": "bundler",
        "ignoreDeprecations": "6.0",
        "preserveSymlinks": true,
        "esModuleInterop": true,
        "jsx": "react-native",
        "target": "esnext",
        "baseUrl": "."
    },
    "references": [
        {
            "path": "../../"
        },
        {
            "path": "../mobile"
        },
        {
            "path": "../web"
        }
    ],
    "include": [
        "**/*.ts",
        "**/*.tsx",
        "../../src/**/*",
        "../../src/types/index.ts",
        "**/*.json"
    ]
}
